Bug 991713 - gnome-shell-extension-places-menu-3.8.3-2.fc19 fails to start (patch included)
gnome-shell-extension-places-menu-3.8.3-2.fc19 fails to start (patch included)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-shell-extensions (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-03 18:27 EDT by Stephan Schindel
Modified: 2014-01-29 06:39 EST (History)
5 users (show)

See Also:
Fixed In Version: gnome-shell-extensions-3.8.3.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-14 22:31:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log (718 bytes, text/plain)
2013-08-03 18:27 EDT, Stephan Schindel
no flags Details
patch (748 bytes, patch)
2013-08-03 18:27 EDT, Stephan Schindel
no flags Details | Diff

  None (edit)
Description Stephan Schindel 2013-08-03 18:27:06 EDT
Created attachment 782400 [details]
log

Description of problem:

The extension 

gnome-shell-extension-places-menu-3.8.3-2.fc19

does not run for me at all, so I do not have a "places" menu in classic mode (GNOME 3.8). I added the journal log and the ovious fix is to replace "j" by "i" in line 312 of

/usr/share/gnome-shell/extensions/places-menu@gnome-shell-extensions.gcampax.github.com/placeDisplay.js

I added the small patch as well. Easy to fix.
Comment 1 Stephan Schindel 2013-08-03 18:27:29 EDT
Created attachment 782401 [details]
patch
Comment 2 Fedora Update System 2013-08-04 15:07:38 EDT
gnome-shell-extensions-3.8.3.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gnome-shell-extensions-3.8.3.1-1.fc19
Comment 3 Fedora Update System 2013-08-05 20:15:29 EDT
Package gnome-shell-extensions-3.8.3.1-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-shell-extensions-3.8.3.1-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14258/gnome-shell-extensions-3.8.3.1-1.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-08-14 22:31:21 EDT
gnome-shell-extensions-3.8.3.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Pascal Schott 2013-09-11 13:22:25 EDT
The places-menu extension still does not work on my Fedora 19 (64 bits) installation with the last version of the package.

rpm -qa | grep places-menu
gnome-shell-extension-places-menu-3.8.3.1-1.fc19.noarch

If you tell me where to find it, I can post a log file.
Comment 6 Pascal Schott 2013-09-11 14:39:27 EDT
I got this output :

$ gnome-shell --replace
      JS LOG: GNOME Shell started at Wed Sep 11 2013 20:26:22 GMT+0200 (CEST)
      JS LOG: Extension "places-menu@gnome-shell-extensions.gcampax.github.com" 
had error: Error: Argument 'path' (type utf8) may not be null
Comment 7 Pascal Schott 2014-01-29 06:39:17 EST
Problem still present after upgrade to Fedora 20.

Note You need to log in before you can comment on or make changes to this bug.